# Class MovePhase

#### Hierarchy (view full)

- BattlePhase
  - MovePhase

- Defined in src/phases.ts:2479

#####
Index

### Constructors

constructor

### Properties

cancelled
failed
followUp
ignorePp
move
pokemon
scene
targets

### Methods

canMove
cancel
end
fail
getEffectPhase
hideEnemyTrainer
showEnemyTrainer
showFailedText
showMoveText
start

## Constructors

### constructor

- new MovePhase(scene, pokemon, targets, move, followUp?, ignorePp?): MovePhase

- #### Parameters

  - scene: default
  - pokemon: default
  - targets: BattlerIndex []
  - move: PokemonMove
  - `Optional` followUp: boolean
  - `Optional` ignorePp: boolean

  #### Returns MovePhase

  Overrides BattlePhase.constructor

  - Defined in src/phases.ts:2488

## Properties

### `Protected` cancelled

cancelled: boolean

- Defined in src/phases.ts:2486

### `Protected` failed

failed: boolean

- Defined in src/phases.ts:2485

### `Protected` followUp

followUp: boolean

- Defined in src/phases.ts:2483

### `Protected` ignorePp

ignorePp: boolean

- Defined in src/phases.ts:2484

### move

move: PokemonMove

- Defined in src/phases.ts:2481

### pokemon

pokemon: default

- Defined in src/phases.ts:2480

### `Protected` scene

scene: default

Inherited from BattlePhase.scene

- Defined in src/phase.ts:4

### targets

targets: BattlerIndex []

- Defined in src/phases.ts:2482

## Methods

### canMove

- canMove(): boolean

- #### Returns boolean

  - Defined in src/phases.ts:2500

### cancel

- cancel(): void

- Signifies the current move should cancel and retain PP

  #### Returns void

  - Defined in src/phases.ts:2510

### end

- end(): void

- #### Returns void

  Overrides BattlePhase.end

  - Defined in src/phases.ts:2745

### fail

- fail(): void

- Signifies the current move should fail but still use PP

  #### Returns void

  - Defined in src/phases.ts:2505

### getEffectPhase

- getEffectPhase(): MoveEffectPhase

- #### Returns MoveEffectPhase

  - Defined in src/phases.ts:2714

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### showFailedText

- showFailedText(failedText?): void

- #### Parameters

  - failedText: string = null

  #### Returns void

  - Defined in src/phases.ts:2741

### showMoveText

- showMoveText(): void

- #### Returns void

  - Defined in src/phases.ts:2718

### start

- start(): void

- #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases.ts:2514